<?php

// Routes for master.

// Guard routes for student
Route::prefix('{guard}/master')->group(function () {

    Route::get('student/report/{report}', 'StudentReportController');
    Route::patch('student/actions/{action}', 'StudentActionsController');
    Route::patch('student/action/{student}/{action}', 'StudentActionController');
    Route::patch('student/workflow/{student}/{transition}', 'StudentWorkflowController');
    Route::resource('student', 'StudentResourceController');
});



// Public routes for master
Route::get('masters/', 'MasterPublicController@index');
Route::get('master/{slug?}', 'MasterPublicController@show');
