<?php

// Web routes  for master.

include('routes.php');


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            include('routes.php');

        }
    );
}

// Workflow routes for student

Route::prefix('{guard}/student')->group(function () {

    Route::get('/workflow/{student}/{user}', 'StudentWorkflowController@get')
        ->name('erp.master.workflow');
    Route::post('/workflow/{student}/{user}', 'StudentWorkflowController@post');

    Route::get('/action/{student}/{user}', 'StudentActionController@get')
        ->name('erp.master.action');
    Route::post('/action/{student}/{user}', 'StudentActionController@post');

});

