<?php

namespace Erp\Master\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Erp\Master\Models\Student;

class StudentAction
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $action,
        public Student $student,
        public array $request = [],
        public string $when = 'after'
    ) {}
}
